public class Fraccion {
	private int n;
	private int d; // Creando variables de la clase
	
	// Constructores
	public Fraccion () {
		n = d = 0;
	}
	
	public Fraccion (int a) {
		n = a;
		d = 1;
	}
	
	public Fraccion(int n, int d) {
		this.n = n;
		this.d = d;
	}
	
	// Metodos
	public int getN() {
		return n;
	}

	public void setN(int n) {
		this.n = n;
	}

	public int getD() {
		return d;
	}

	public void setD(int d) {
		this.d = d;
	}

	public void leeNum(int a) {
		n = a;
	}
	
	public void leeDen(int d) {
		this.d = d;
	}
	
	public int regNum () {
		return n;
	}
	
	public int regDen () {
		return d;
	}
	
	public void escribeFraccion() {
		System.out.println (n+"/"+d+"\n");
	}

	@Override
	public String toString() { 
		return n+"/"+d+"\n";
	}
	
	public void suma (Fraccion a, Fraccion b) {
		//Fraccion c = new Fraccion();
		n = a.n*b.d + b.n*a.d;
		d = a.d*b.d;
	}
	
	public Fraccion suma (Fraccion a) {
		Fraccion c = new Fraccion();
		c.n = a.n*d + n*a.d;
		c.d = a.d*d;
		
		return c;
	}
}
